source 'https://rubygems.org'

gem 'sinatra', '~> 4.1'
gem 'sinatra-contrib', '~> 4.1'
gem 'puma', '~> 6.6'

gem 'sequel', '~> 5.92'
gem 'sqlite3', '~> 2.6'

gem 'logger'

group :development, :test do
  gem 'rerun'
  gem 'wdm', '>= 0.1.0' if Gem.win_platform?

  # rubocop and extensions for code style
  gem 'rubocop'
  gem 'rubocop-rspec'
  gem 'rubocop-sequel'
end

group :test do
  gem 'rspec'
  gem 'rack-test'
  gem 'database_cleaner-sequel'
end
